*
# include 'hmg.Ch'
# include 'hbRTF.Ch'
*
Function Main
   
   Load Window Main
   Main.Center
   Main.Activate
   
Return Nil
*
Function Variations()
   LOCAL oRtf
   LOCAL aTable
   LOCAL c1
   LOCAL c2
   LOCAL cBar
   LOCAL i
   *
   aTable := {}
   AAdd(aTable,{100})                          // TAB_1
   AAdd(aTable,{50,50})                        // TAB_2
   AAdd(aTable,{33,34,33})                     // TAB_3
   AAdd(aTable,{25,25,25,25})                  // TAB_4
   AAdd(aTable,{20,20,20,20,20})               // TAB_5
   *                                           //
   AAdd(aTable,{17,17,17,17,17,15})            // TAB_6
   AAdd(aTable,{07,13,35,10,15,17})            // TAB_7
   AAdd(aTable,{07,13,35,10,10,05,05,07,07})   // TAB_8
   AAdd(aTable,{07,13,35,10,20,07,07})         // TAB_9
   AAdd(aTable,{07,13,35,10,25})               // TAB_10
   *
   oRtf := XRTF():New(RTF_FILE,aTable,'P','0',"20",nil,.F.)
   *
   *
   c1 := RtfStyle("brunellopulix@yahoo.it","b",FNT_ARIAL,"14","9")
   oRtf:PageHeader(c1)
   c1 := RtfStyle(Version(),"i",FNT_ARIAL,"14")
   oRtf:PageFooter(c1)
   *
   c1 := 'This document has been realized with the class '+RtfStyle("XRTF","b",FNT_ARIAL,"30","")+'.'
   oRtf:WriteFree(MakeCell(c1,"20","j","","",0,"","",""))
   *
   oRtf:EmptyRow()
   oRtf:WriteFree(MakeCell('it has one table of 11 characters : ',"20","l","","ui",0,"","",""))
   oRtf:EmptyRow()
   *
   c1 := RtfStyle("Arial, "          ,"",FNT_ARIAL,"20")
   c1 += RtfStyle("Helvetica, "      ,"",FNT_HELV,"20")
   c1 += RtfStyle("Times New Roman, ","",FNT_TIMES_NEW_ROMAN,"20")
   c1 += RtfStyle("Tms Rmn, "        ,"",FNT_TMS_RMN,"20")
   c1 += RtfStyle("Roman, "          ,"",FNT_ROMAN,"20")
   c1 += RtfStyle("Modern, "         ,"",FNT_MODERN,"20")
   c1 += RtfStyle("MS_Linedraw, "    ,"",FNT_MS_LINEDRAW,"20")
   c1 += RtfStyle("Advocr_B, "       ,"",FNT_ADVOCR_B,"20")
   c1 += RtfStyle("Lucida Console, " ,"",FNT_LUCIDA_CONSOLE,"20")
   c1 += RtfStyle("Courier New, "    ,"",FNT_COURIER_NEW,"20")
   c1 += RtfStyle("TW Cent,"         ,"","10","20")
   *
   oRtf:WriteFree(MakeCell(c1,"20","j","","b",0,"","",""))
   oRtf:EmptyRow()
   *
   oRtf:WriteFree(MakeCell('and of one table of 10 colors : ',"20","l","","ui",0,"","",""))
   c1 := ""
   FOR i := 0 TO 15
      c1 += RtfStyle("Color "+NTrim(i)+" ","",FNT_ARIAL,"20",NTrim(i))
   NEXT
   oRtf:WriteFree(MakeCell(c1,"20","l","","",0,"","",""))
   oRtf:EmptyRow()
   *
   oRtf:WriteFree(MakeCell("Formatting of the text:","20","l","","ui",0,"","",""))
   *
   c1 := RtfStyle("bold"                     ,"b",FNT_ARIAL,"20")
   c1 += " "+RtfStyle("underline"            ,"u",FNT_ARIAL,"20")
   c1 += " "+RtfStyle("italic"               ,"i",FNT_ARIAL,"20")
   c1 += " "+RtfStyle("bold+underline+italic","bui",FNT_ARIAL,"20")
   oRtf:WriteFree(MakeCell(c1,"20","j","","",0,"","",""))
   oRtf:EmptyRow()
   *
   oRtf:WriteFree(MakeCell("Alignment of the text:","20","l","","ui",0,"","",""))
   oRtf:WriteFree(MakeCell("left","20","l","","",0,"","",""))
   oRtf:WriteFree(MakeCell("center","20","c","","",0,"","",""))
   oRtf:WriteFree(MakeCell("right","20","r","","",0,"","",""))
   oRtf:WriteFree(MakeCell("and justified:","20","l","","ui",0,"","",""))
   *
   c1 := "Arial, Helvetica, Times New Roman, Tms Rmn, Roman, Modern, MS_Linedraw, Advocr_B, Lucida Console, Courier New, TW Cent."
   oRtf:WriteFree(MakeCell(c1+c1,"20","j","","",0,"","",""))
   oRtf:EmptyRow()
   oRtf:WriteFree(MakeCell("","20","l","","",0,"","",""))
   *
   oRtf:WriteFree(MakeCell("Table 1","20","l","","b",0,"","",""))
   oRtf:WriteRow(TAB_1,{;
   MakeCell("Col 1","20","c","","",0,"","","")})
   *
   oRtf:WriteFree(MakeCell("Table 2","20","l","","b",0,"","",""))
   oRtf:WriteRow(TAB_2,{;
   MakeCell("Col 1","20","c","","",0,"","",""),;
   MakeCell("Col 2","20","c","","",0,"","","")})
   *
   oRtf:WriteFree(MakeCell("Table 3","20","l","","b",0,"","",""))
   oRtf:WriteRow(TAB_3,{;
   MakeCell("Col 1","20","c","","",0,"","",""),;
   MakeCell("Col 2","20","c","","",0,"","",""),;
   MakeCell("Col 3","20","c","","",0,"","","")})
   *
   oRtf:WriteFree(MakeCell("Table 4","20","l","","b",0,"","",""))
   oRtf:WriteRow(TAB_4,{;
   MakeCell("Col 1","20","c","","",0,"","",""),;
   MakeCell("Col 2","20","c","","",0,"","",""),;
   MakeCell("Col 3","20","c","","",0,"","",""),;
   MakeCell("Col 4","20","c","","",0,"","","")})
   *
   oRtf:WriteFree(MakeCell("Table 5","20","l","","b",0,"","",""))
   oRtf:WriteRow(TAB_5,{;
   MakeCell("Col 1","20","c","","",0,"","",""),;
   MakeCell("Col 2","20","c","","",0,"","",""),;
   MakeCell("Col 3","20","c","","",0,"","",""),;
   MakeCell("Col 4","20","c","","",0,"","",""),;
   MakeCell("Col 5","20","c","","",0,"","","")})
   *
   oRtf:EmptyRow()
   oRtf:WriteFree(MakeCell("making borders:","20","l","","iu",0,"","",""))
   oRtf:EmptyRow()
   oRtf:WriteRow(TAB_5,{;
   MakeCell("Col 1","20","l","LT","",0,"","",""),;
   MakeCell("Col 2","20","l","LT","",0,"","",""),;
   MakeCell("Col 3","20","l","LT","",0,"","",""),;
   MakeCell("Col 4","20","l","LT","",0,"","",""),;
   MakeCell("10,00","20","r","LTR","",0,"","","")})
   *
   c1 := RtfStyle(" 10,00","b",FNT_ARIAL,"22",'9')
   oRtf:WriteRow(TAB_5,{;
   MakeCell("","20","l","T","",0,"","",""),;
   MakeCell("","20","l","T","",0,"","",""),;
   MakeCell("","20","l","T","",0,"","",""),;
   MakeCell("Total","20","r","T","",0,"","",""),;
   MakeCell(EUROSYMB+c1,"20","r","QLTRB","b",0,"","","",'B30')})
   *
   oRtf:EmptyRow()
   oRtf:WriteFree(MakeCell("Inside of the cells the text can be aligned :","20","l","","iu",0,"","",""))
   oRtf:WriteRow(3,{;
   MakeCell("on the left","20","l","","",0,"","",""),;
   MakeCell("on the center","20","c","","",0,"","",""),;
   MakeCell("on the right","20","r","","",0,"","","")})
   oRtf:WriteRow(TAB_3,{;
   MakeCell("on|more|lines","20","c","","",0,"","",""),;
   MakeCell("on the middle","20","cw","","",0,"","",""),;
   MakeCell("on the top"   ,"20","ct","","",0,"","","")})
   *
   oRtf:EmptyRow()
   oRtf:WriteFree(MakeCell("colored:","20","l","","iu",0,"","",""))
   oRtf:WriteRow(TAB_5,{;
   MakeCell("Color 1","20","c","","",0,"","","1/9"),;
   MakeCell("Color 2","20","c","","",0,"","","2/8"),;
   MakeCell("Color 3","20","c","","",0,"","","3/1"),;
   MakeCell("Color 4","20","c","","",0,"","","4/6"),;
   MakeCell("Color 5","20","c","","",0,"","","5/4")})
   oRtf:WriteRow(TAB_5,{;
   MakeCell("Color 6","20","c","","",0,"","","6"),;
   MakeCell("Color 7","20","c","","",0,"","","7"),;
   MakeCell("Color 8","20","c","","",0,"","","8"),;
   MakeCell("Color 9","20","c","","",0,"","","9"),;
   MakeCell("Color 10","20","c","","",0,"","","10")})
   *
   oRtf:EmptyRow()
   oRtf:WriteFree(MakeCell("...and colored","20","l","","",0,"","","9/11"))
   *
   oRtf:EmptyRow()
   oRtf:WriteFree(MakeCell("insertion of date and number page in the cell :","20","l","","iu",0,"","",""))
   oRtf:WriteRow(TAB_3,{;
   MakeCell(""     ,"20","l","","",0,"","",""),;
   MakeCell(""     ,"20","c","","",0,"d","",""),;
   MakeCell("Page ","20","r","","",0,"p","","")})
   *
   oRtf:EmptyRow()
   oRtf:WriteFree(MakeCell("insertion new page and change orientation:","20","l","","iu",0,"","",""))
   *
   oRtf:NewSection()
   oRtf:SetOrientation('L')
   cBar  := MkCodeBar("5030159000991")
   oRtf:WriteFree(MakeCell("insertion of barcode:","20","l","","iu",0,"","",""))
   oRtf:WriteFree(MakeCell(;
   'EAN8 '+MkCodeBar("51112881")+;
   '   EAN13 '+cBar+;
   '   and  '+MkCodeBar("5030159000991",150,150),"20","l","","",0,"","",""))
   
   oRtf:WriteFree(MakeCell("with some small trick it is possible to insert images:","20","l","","iu",0,"","",""))
   oRtf:EmptyRow()
   oRtf:WriteFree(MakeCell(MemoRead("FOGERTY.DAT"),"20","c","","",0,"","",""))
   oRTF:WriteFree(MakeCell('John Fogerty - American Rock Legend',"24","c","","",0,"","","",''))
   oRTF:EmptyRow()
   *
   oRTF:WriteFree(MakeCell('how to put images in the document:',"24","l","","ub",0,"","","",''))
   *
   oRTF:EmptyRow()
   oRTF:WriteFree(MakeCell(RtfStyle("1. ","b",'0',"24","0")+'open a new document in Word',"20","j","","",0,"","","",'J-08;I08'))
   oRTF:WriteFree(MakeCell(RtfStyle("2. ","b",'0',"24","0")+'insert in the image of interest',"20","j","","",0,"","","",'J-08;I08'))
   oRTF:WriteFree(MakeCell(RtfStyle("3. ","b",'0',"24","0")+'save the document in rtf format',"20","j","","",0,"","","",'J-08;I08'))
   oRTF:WriteFree(MakeCell(RtfStyle("4. ","b",'0',"24","0")+'open the same file you just saved with an text editor',"20","j","","",0,"","","",'J-08;I08'))
   oRTF:WriteFree(MakeCell(RtfStyle("5. ","b",'0',"24","0")+'search within the range of the tag would be: \{\\pict and after esadecimal code \}\}',"20","j","","",0,"","","",'J-08;I08'))
   oRTF:WriteFree(MakeCell(RtfStyle("6. ","b",'0',"24","0")+'save the string in a text file',"20","j","","",0,"","","",'J-08;I08'))
   oRTF:WriteFree(MakeCell(RtfStyle("7. ","b",'0',"24","0")+'change last string \}\} to \}',"20","j","","",0,"","","",'J-08;I08'))
   oRTF:WriteFree(MakeCell(RtfStyle("8. ","b",'0',"24","0")+'import the text file into the document you want to create',"20","j","","",0,"","","",'J-08;I08'))
   *
   oRtf:NewSection()
   oRtf:SetOrientation('P')
   *
   oRtf:WriteFree(MakeCell("Cargo functionality:","20","l","","iu",0,"","",""))
   *
   oRtf:WriteFree(MakeCell("background pattern:","20","l","","",0,"","",""))
   *
   oRtf:WriteRow(TAB_5,{;
   MakeCell("A10","20","c","","b",0,"","" ,"",'A10'),;
   MakeCell("A11","20","c","","b",0,"","" ,"",'A11'),;
   MakeCell("A12","20","c","","b",0,"","" ,"",'A12'),;
   MakeCell("A13","20","c","","b",0,"","" ,"",'A13'),;
   MakeCell("A14","20","c","","b",0,"","" ,"",'A14')})
   *
   oRtf:WriteRow(TAB_5,{;
   MakeCell("A15","20","c","","b",0,"","" ,"",'A15'),;
   MakeCell("A16","20","c","","b",0,"","" ,"",'A16'),;
   MakeCell("A17","20","c","","b",0,"","" ,"",'A17'),;
   MakeCell("A18","20","c","","b",0,"","" ,"",'A18'),;
   MakeCell("A19","20","c","","b",0,"","" ,"",'A19')})
   *
   oRtf:WriteRow(TAB_5,{;
   MakeCell("A20","20","c","","b",0,"","" ,"",'A20'),;
   MakeCell("A21","20","c","","b",0,"","" ,"",'A21'),;
   MakeCell("A22","20","c","","b",0,"","" ,"",'A22'),;
   MakeCell("   ","20","c","","b",0,"","" ,"",''),;
   MakeCell("   ","20","c","","b",0,"","" ,"",'')})
   *
   oRtf:EmptyRow()
   oRtf:WriteFree(MakeCell('A10',"20","c","","",0,"","","",'A10'))
   oRtf:WriteFree(MakeCell('A11',"20","c","","",0,"","","",'A11'))
   oRtf:WriteFree(MakeCell('A12',"20","c","","",0,"","","",'A12'))
   *
   oRtf:EmptyRow()
   oRtf:WriteFree(MakeCell("inside the cells:","20","l","","",0,"","",""))
   *
   oRtf:WriteRow(TAB_5,{;
   MakeCell("B10","20","c","","b",0,"","" ,"",'B10'),;
   MakeCell("B15","20","c","","b",0,"","" ,"",'B15'),;
   MakeCell("B20","20","c","","b",0,"","" ,"",'B20'),;
   MakeCell("B25","20","c","","b",0,"","" ,"",'B25'),;
   MakeCell("B30","20","c","","b",0,"","" ,"",'B30')})
   *
   *oRtf:EmptyRow()
   *
   oRtf:WriteFree(MakeCell("otherwise:","20","l","","",0,"","",""))
   oRtf:WriteFree(MakeCell('C10',"20","l","","",0,"","","",'C10'))
   oRtf:WriteFree(MakeCell('C15',"20","l","","",0,"","","",'C15'))
   oRtf:WriteFree(MakeCell('C20',"20","l","","",0,"","","",'C20'))
   oRtf:WriteFree(MakeCell('C25',"20","l","","",0,"","","",'C25'))
   oRtf:WriteFree(MakeCell('C30',"20","l","","",0,"","","",'C30'))
   *
   oRtf:EmptyRow()
   oRtf:WriteFree(MakeCell('text vertical:',"20","l","","u",0,"","",""))
   *
   oRtf:WriteRow(TAB_6,{;
   MakeCell("center+left"  ,"20","c","LT" ,"",0,"","","",""),;
   MakeCell("center+center","20","c","LT" ,"",0,"","","",''),;
   MakeCell("center+right" ,"20","c","LT" ,"",0,"","","",''),;
   MakeCell("center right" ,"20","c","LT" ,"",0,"","","",''),;
   MakeCell("center+center","20","c","LT" ,"",0,"","","",''),;
   MakeCell("center+left"  ,"20","c","LTR","",0,"","","",'')})
   *
   oRtf:WriteRow(TAB_6,{;
   MakeCell("D;H30-lw","20","wl","TLB" ,"b",0,"","","","D;H30"),;
   MakeCell("D;H30-cw","20","wc","TLB" ,"b",0,"","","",'D;H30'),;
   MakeCell("D;H30-rw","20","wr","TLB" ,"b",0,"","","",'D;H30'),;
   MakeCell("E;H30-rw","20","rw","TLB" ,"b",0,"","","",'E;H30'),;
   MakeCell("E;H30-cw","20","cw","TLB" ,"b",0,"","","",'E;H30'),;
   MakeCell("E;H30-lw","20","lw","TLBR","b",0,"","","",'E;H30')})
   *
   c1 := RtfStyle("\u8593\'3f","b",FNT_ARIAL,"30","")
   c2 := RtfStyle("\u8595\'3f","b",FNT_ARIAL,"30","")
   *
   oRtf:WriteFree(MakeCell('Where:',"20","l","","u",0,"","",""))
   oRtf:WriteFree(MakeCell("D  = Cargo code text "+c1 ,"20","l","","",0,"9","",""))
   oRtf:WriteFree(MakeCell("E  = Cargo code text "+c2 ,"20","l","","",0,"9","",""))
   oRtf:WriteFree(MakeCell("H  = Cargo code Heigth cell"   ,"20","l","","",0,"9","",""))
   oRtf:WriteFree(MakeCell('30 = Height cell (mm)'    ,"20","l","","",0,"9","",""))
   *
   *oRtf:EmptyRow()
   *
   oRtf:WriteFree(MakeCell('mergings cells:',"20","l","","u",0,"","",""))
   *
   c1 := RtfStyle("Appellido y Nombres| Razn Social:","","0","12")
   c2 := RtfStyle("Docum.Ident. |  C.U.I.T.","","0","12")
   *
   oRtf:WriteRow(TAB_7,{;
   MakeCell("Requirente N.1","24","cw","LT","",0,"","","",'A22;F'),;
   MakeCell(c1     ,"20","r","LT" ,"",0,"","",""),;
   MakeCell(''     ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell(c2     ,"20","c","LT" ,"",0,"","",""),;
   MakeCell(""     ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell(""     ,"20","l","TR" ,"",0,"","","",'B10')})
   *
   oRtf:WriteRow(TAB_8,{;
   MakeCell(""               ,"20","l","L"  ,"",0,"","","",'G'),;
   MakeCell("|Domicilio Real:","14","r","LT","",0,"","",""),;
   MakeCell(""               ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell("Torre/Bloque:"  ,"14","r","LT" ,"",0,"","",""),;
   MakeCell(""               ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell("Piso:"          ,"14","r","LT" ,"",0,"","",""),;
   MakeCell(""               ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell("Dpto:"          ,"14","l","LT"  ,"",0,"","",""),;
   MakeCell(""               ,"20","l","TR","",0,"","","",'B10')})
   *
   oRtf:WriteRow(TAB_9,{;
   MakeCell(""            ,"20","l","L" ,"",0,"","","",'G'),;
   MakeCell("Localidad:"  ,"14","r","LT" ,"",0,"","",""),;
   MakeCell(""            ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell("Provincia:"  ,"14","r","LT" ,"",0,"","",""),;
   MakeCell(""            ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell("Cod.|Postal:","14","r","LT" ,"",0,"","",""),;
   MakeCell(""            ,"20","l","TBR","",0,"","","",'B10')})
   *
   oRtf:WriteRow(TAB_10,{;
   MakeCell(""          ,"20","l","LB" ,"",0,"","","",'G'),;
   MakeCell("|Telefono:","14","r","LTB" ,"",0,"","",""),;
   MakeCell(""          ,"20","l","TB"  ,"",0,"","","",'B10'),;
   MakeCell("E-Mail:"   ,"14","r","LTB" ,"",0,"","",""),;
   MakeCell(""          ,"20","l","TBR" ,"",0,"","","",'B10')})
   *
   oRtf:WriteFree(MakeCell('where cargo code is:',"20","l","","u",0,"","",""))
   oRtf:WriteRow(TAB_7,{;
   MakeCell("A22;F","20","cw","LT","",0,"","","9",''),;
   MakeCell(c1     ,"20","r","LT" ,"",0,"","",""),;
   MakeCell(''     ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell(c2     ,"20","c","LT" ,"",0,"","",""),;
   MakeCell(""     ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell(""     ,"20","l","TR" ,"",0,"","","",'B10')})
   *
   oRtf:WriteRow(TAB_8,{;
   MakeCell("G"               ,"20","cw","L"  ,"",0,"","","9",''),;
   MakeCell("|Domicilio Real:","14","r","LT","",0,"","",""),;
   MakeCell(""                ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell("Torre/Bloque:"   ,"14","r","LT" ,"",0,"","",""),;
   MakeCell(""                ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell("Piso:"           ,"14","r","LT" ,"",0,"","",""),;
   MakeCell(""                ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell("Dpto:"           ,"14","l","LT"  ,"",0,"","",""),;
   MakeCell(""                ,"20","l","TR","",0,"","","",'B10')})
   *
   oRtf:WriteRow(TAB_9,{;
   MakeCell("G"            ,"20","cw","L" ,"",0,"","","9",''),;
   MakeCell("Localidad:"  ,"14","r","LT" ,"",0,"","",""),;
   MakeCell(""            ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell("Provincia:"  ,"14","r","LT" ,"",0,"","",""),;
   MakeCell(""            ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell("Cod.|Postal:","14","r","LT" ,"",0,"","",""),;
   MakeCell(""            ,"20","l","TBR","",0,"","","",'B10')})
   *
   oRtf:WriteRow(TAB_10,{;
   MakeCell("G"           ,"20","cw","LB" ,"",0,"","","9",''),;
   MakeCell("|Telefono:"  ,"14","r","LTB" ,"",0,"","",""),;
   MakeCell(""            ,"20","l","TB"  ,"",0,"","","",'B10'),;
   MakeCell("E-Mail:"     ,"14","r","LTB" ,"",0,"","",""),;
   MakeCell(""            ,"20","l","TBR" ,"",0,"","","",'B10')})
   *
   oRtf:EmptyRow()
   oRtf:WriteRow(TAB_5,{;
   MakeCell("B10;F","20","cw","LT" ,"",0,"","","9",'B10;F'),;
   MakeCell(""     ,"20","l" ,"LT" ,"",0,"","",""),;
   MakeCell("B20;F","20","cw","LT" ,"",0,"","","9",'B20;F'),;
   MakeCell(""     ,"20","l" ,"LT" ,"",0,"","",""),;
   MakeCell("B30;F","20","cw","LTR","",0,"","","9",'B30;F')})
   *
   oRtf:WriteRow(TAB_5,{;
   MakeCell("","20","l","LT" ,"",0,"","","",'B10;G'),;
   MakeCell("","20","l","LT" ,"",0,"","",""),;
   MakeCell("","20","l","LT" ,"",0,"","","",'B20;G'),;
   MakeCell("","20","l","LT" ,"",0,"","",""),;
   MakeCell("","20","l","LTR","",0,"","","",'B30;G')})
   *
   oRtf:WriteRow(TAB_5,{;
   MakeCell("","20","l","LTB" ,"",0,"","","",'B10;G'),;
   MakeCell("","20","l","LTB" ,"",0,"","",""),;
   MakeCell("","20","l","LTB" ,"",0,"","","",'B20;G'),;
   MakeCell("","20","l","LTB" ,"",0,"","",""),;
   MakeCell("","20","l","LTRB","",0,"","","",'B30;G')})
   *
   oRtf:NewSection()
   oRtf:SetOrientation('P')
   *
   oRTF:WriteFree(MakeCell('Bullets and Numbering',"30","c","","ub",0,"","","",''))
   *
   c1 := "Arial, Helvetica, Times New Roman, Tms Rmn, Roman, Modern, MS_Linedraw, Advocr_B, Lucida Console, Courier New, TW Cent."
   c2 := RtfStyle("  (1)","Xb",'0',"20","9")
   *
   oRtf:EmptyRow()
   oRtf:WriteFree(MakeCell(RtfStyle("1. \tab","b",'0',"24","0")+c1,"20","j","","",0,"","","",'J-08;I08'))
   oRtf:WriteFree(MakeCell(RtfStyle("2. \tab","b",'0',"24","0")+c1,"20","j","","",0,"","","",'J-08;I08'))
   oRtf:WriteFree(MakeCell(RtfStyle("3. \tab","b",'0',"24","0")+c1,"20","j","","",0,"","","",'J-08;I08'))
   *
   oRtf:WriteFree(MakeCell(RtfStyle("3.1 ","b",'0',"24","0")+c1,"20","j","","",0,"","","",'J-08;I16'))
   oRtf:WriteFree(MakeCell(RtfStyle("3.2 ","b",'0',"24","0")+c1,"20","j","","",0,"","","",'J-08;I16'))
   oRtf:WriteFree(MakeCell(RtfStyle("3.3 ","b",'0',"24","0")+c1,"20","j","","",0,"","","",'J-08;I16'))
   *
   oRtf:EmptyRow()
   oRtf:WriteFree(MakeCell(RtfStyle("\bullet\tab","",'0',"20","0")+c1,"20","j","","",0,"","","",'J-08;I08'))
   oRtf:WriteFree(MakeCell(RtfStyle("\bullet\tab","",'0',"20","0")+c1,"20","j","","",0,"","","",'J-08;I08'))
   oRtf:WriteFree(MakeCell(RtfStyle("\bullet\tab","",'0',"20","0")+c1,"20","j","","",0,"","","",'J-08;I08'))
   *
   oRtf:EmptyRow()
   oRtf:WriteFree(MakeCell(RtfStyle("\bullet\tab","",'0',"20","0")+c1,"20","j","","",0,"","","",'J-08;I16'))
   oRtf:WriteFree(MakeCell(RtfStyle("\bullet\tab","",'0',"20","0")+c1,"20","j","","",0,"","","",'J-08;I16'))
   oRtf:WriteFree(MakeCell(RtfStyle("\bullet\tab","",'0',"20","0")+c1,"20","j","","",0,"","","",'J-08;I16'))
   *
   oRtf:EmptyRow()
   *
   oRtf:EmptyRow()
   c2 := RtfStyle("Differences:","ub",'0',"30","")
   c2 += RtfStyle("  (*)","Xb",'0',"20","9")
   oRtf:WriteFree(MakeCell(c2,"20","l","","",0,"","","",''))
   oRtf:WriteFree(MakeCell('J-08;I08',"30","c","","ub",0,"","","",''))
   oRtf:WriteFree(MakeCell(RtfStyle("1. \tab","",'0',"20","0")+c1,"20","j","","",0,"","","",'J-08;I08'))
   oRtf:WriteFree(MakeCell('J0;I08',"30","c","","ub",0,"","","",''))
   oRtf:WriteFree(MakeCell(RtfStyle("1. \tab","",'0',"20","0")+c1,"20","j","","",0,"","","",'J0;I08'))
   oRtf:WriteFree(MakeCell('J08;I08',"30","c","","ub",0,"","","",''))
   oRtf:WriteFree(MakeCell(RtfStyle("1. \tab","",'0',"20","0")+c1,"20","j","","",0,"","","",'J08;I08'))
   *
   oRtf:EmptyRow()
   oRtf:EmptyRow()
   oRtf:WriteFree(MakeCell("Remember:","20","l","","u",0,"","","",''))
   c2 := RtfStyle("(*)  ","Xb",'0',"20","9")
   c2 += RtfStyle([ first J and after I],"",'',"14","0")
   oRtf:WriteFree(MakeCell(c2,"20","l","","",0,"","","",''))
   *
   oRtf:NewSection()
   oRtf:SetOrientation('P')
   *
   oRtf:EmptyRow()
   oRtf:WriteFree(MakeCell([First Row Indent "J10" (Where 10 == mm):],"30","c","","bu",0,"","","",''))
   oRtf:WriteFree(MakeCell(c1+c1,"20","j","","",0,"","","",'J10'))
   *
   oRtf:EmptyRow()
   oRtf:WriteFree(MakeCell([Left Indent "I90" (Where 90 == mm):],"30","c","","ub",0,"","","",''))
   oRtf:WriteFree(MakeCell(c1+c1,"20","j","","",0,"","","",'I90'))
   *
   oRtf:EmptyRow()
   oRtf:WriteFree(MakeCell([Right Indent "K90" (Where 90 == mm):],"30","c","","ub",0,"","","",''))
   oRtf:WriteFree(MakeCell(c1+c1,"20","j","","",0,"","","",'K90'))
   *
   oRtf:EmptyRow()
   oRtf:WriteFree(MakeCell([Center Indent "K45;I45" (Where 45 == mm):],"30","c","","ub",0,"","","",''))
   oRtf:WriteFree(MakeCell(c1+c1,"20","j","","",0,"","","",'K45;I45'))
   *
   oRtf:EmptyRow()
   oRtf:WriteFree(MakeCell([Space before "L03" (Where 03 == mm):],"30","c","","ub",0,"","","",''))
   oRtf:WriteFree(MakeCell(c1,"20","j","","",0,"","","",'L03'))
   *
   oRtf:EmptyRow()
   oRtf:WriteFree(MakeCell([Space after "M03" (Where 03 == mm):],"30","c","","ub",0,"","","",''))
   oRtf:WriteFree(MakeCell(c1,"20","j","","",0,"","","",'M03'))
   oRtf:WriteFree(MakeCell(c1,"20","j","","",0,"","","",''))
   oRtf:EmptyRow()
   *
   oRtf:Close()
   *
   ShellExecute(,"Open",RTF_FILE,'',,0)
   *
RETURN nil
*
*
Function Customers()
   LOCAL oRtf
   LOCAL aTable
   LOCAL aBody
   *
   USE CUSTOMER new
   DBGOTOP()
   *
   aTable := {}
   AAdd(aTable,{100})
   AAdd(aTable,{50,50})
   AAdd(aTable,{6,15,15,17,15,5,6,11,10})
   AAdd(aTable,{25,25,25,25})
   *
   oRtf := XRTF():New(RTF_FILE,aTable,LANDSCAPE,FNT_ARIAL,"20",nil,.F.)
   *
   aBody := {}
   AAdd(aBody,MakeCell("","20","l","L" ,"",0,"","","1/11"))
   AAdd(aBody,MakeCell("","20","l","L" ,"",0,"","","2"))
   AAdd(aBody,MakeCell("","20","l","L" ,"",0,"","","3"))
   AAdd(aBody,MakeCell("","20","l","L" ,"",0,"","","4"))
   AAdd(aBody,MakeCell("","20","l","L" ,"",0,"","","5"))
   AAdd(aBody,MakeCell("","20","c","L" ,"",0,"","","6"))
   AAdd(aBody,MakeCell("","20","l","L" ,"",0,"","","7"))
   AAdd(aBody,MakeCell("","20","l","L" ,"",0,"","","8"))
   AAdd(aBody,MakeCell("","20","l","LR","",0,"","","9"))
   *
   DO WHILE Customer->(!EOF())
      *
      oRtf:WriteBmp("IMG1.DAT")
      *
      oRtf:WriteRow(TAB_4,{;
      MakeCell("Customers","40","l","","",0,"" ,"",""),;
      MakeCell(""         ,"20","l","","",0,"" ,"",""),;
      MakeCell(""         ,"20","c","","",0,"d","",""),;
      MakeCell("page "    ,"20","r","","",0,"p","","")})
      *
      oRtf:WriteRow(TAB_3,{;
      MakeCell("CustNum"  ,"20","c","LTB" ,"",0,"","",""),;
      MakeCell("FirstName","20","c","LTB" ,"",0,"","",""),;
      MakeCell("LastName" ,"20","c","LTB" ,"",0,"","",""),;
      MakeCell("Address"  ,"20","c","LTB" ,"",0,"","",""),;
      MakeCell("City"     ,"20","c","LTB" ,"",0,"","",""),;
      MakeCell("State"    ,"20","c","LTB" ,"",0,"","",""),;
      MakeCell("Zip"      ,"20","c","LTB" ,"",0,"","",""),;
      MakeCell("Phone"    ,"20","c","LTB" ,"",0,"","",""),;
      MakeCell("Fax"      ,"20","c","LTBR","",0,"","","")})
      *
      DO WHILE Customer->(!EOF())
         *
         aBody[1]:Label := StrZero(Customer->CUSTNUM,4)
         aBody[2]:Label := Customer->FIRSTNAME
         aBody[3]:Label := Customer->LASTNAME
         aBody[4]:Label := Customer->ADDRESS
         aBody[5]:Label := Customer->CITY
         aBody[6]:Label := Customer->STATE
         aBody[7]:Label := Customer->ZIP
         aBody[8]:Label := Customer->PHONE
         aBody[9]:Label := Customer->FAX
         *
         oRtf:WriteRow(TAB_3,aBody)
         *
         Customer->(DBSKIP())
         IF oRtf:CurRow == 35
            EXIT
         ENDIF
         *
      ENDDO
      *
      IF Customer->(!EOF())
         oRtf:WriteRow(TAB_1,{MakeCell("Continue","20","l","T","",0,"","","")})
      ELSE
         oRtf:WriteRow(TAB_1,{MakeCell("End","20","l","T","",0,"","","")})
         oRtf:NewSection()
         oRtf:SetOrientation('L')
      ENDIF
      *
   ENDDO
   oRtf:Close()
   CLOSE  Customer
   *
   ShellExecute(,"Open",RTF_FILE,'',,0)
   *
Return
*
Function Customers2()
   LOCAL aTable
   LOCAL aBody
   *
   USE CUSTOMER new
   DBGOTOP()
   *
   aTable := {}
   AAdd(aTable,{100})
   AAdd(aTable,{50,50})
   AAdd(aTable,{6,15,15,17,15,5,6,11,10})
   AAdd(aTable,{25,25,25,25})
   *
   RTF_OPEN(RTF_FILE,aTable,LANDSCAPE,FNT_ARIAL)
   *
   aBody := {}
   AAdd(aBody,MakeCell("","20","l","L" ,"",0,"","","1"))
   AAdd(aBody,MakeCell("","20","l","L" ,"",0,"","","2"))
   AAdd(aBody,MakeCell("","20","l","L" ,"",0,"","","3"))
   AAdd(aBody,MakeCell("","20","l","L" ,"",0,"","","4"))
   AAdd(aBody,MakeCell("","20","l","L" ,"",0,"","","5"))
   AAdd(aBody,MakeCell("","20","c","L" ,"",0,"","","6"))
   AAdd(aBody,MakeCell("","20","l","L" ,"",0,"","","7"))
   AAdd(aBody,MakeCell("","20","l","L" ,"",0,"","","8"))
   AAdd(aBody,MakeCell("","20","l","LR","",0,"","","9"))
   *
   DO WHILE Customer->(!EOF())
      *
      RTF_WriteBmp("IMG1.DAT")
      *
      RTF_WRITEROW(TAB_4,{;
      MakeCell("Customers","40","l","","",0,"" ,"",""),;
      MakeCell(""         ,"20","l","","",0,"" ,"",""),;
      MakeCell(""         ,"20","c","","",0,"d","",""),;
      MakeCell("page "    ,"20","r","","",0,"p","","")})
      *
      RTF_WRITEROW(TAB_3,{;
      MakeCell("CustNum"  ,"20","c","LTB" ,"",0,"","",""),;
      MakeCell("FirstName","20","c","LTB" ,"",0,"","",""),;
      MakeCell("LastName" ,"20","c","LTB" ,"",0,"","",""),;
      MakeCell("Address"  ,"20","c","LTB" ,"",0,"","",""),;
      MakeCell("City"     ,"20","c","LTB" ,"",0,"","",""),;
      MakeCell("State"    ,"20","c","LTB" ,"",0,"","",""),;
      MakeCell("Zip"      ,"20","c","LTB" ,"",0,"","",""),;
      MakeCell("Phone"    ,"20","c","LTB" ,"",0,"","",""),;
      MakeCell("Fax"      ,"20","c","LTBR","",0,"","","")})
      *
      DO WHILE Customer->(!EOF())
         *
         aBody[1]:Label := StrZero(Customer->CUSTNUM,4)
         aBody[2]:Label := Customer->FIRSTNAME
         aBody[3]:Label := Customer->LASTNAME
         aBody[4]:Label := Customer->ADDRESS
         aBody[5]:Label := Customer->CITY
         aBody[6]:Label := Customer->STATE
         aBody[7]:Label := Customer->ZIP
         aBody[8]:Label := Customer->PHONE
         aBody[9]:Label := Customer->FAX
         *
         RTF_WRITEROW(TAB_3,aBody)
         *
         Customer->(DBSKIP())
         IF RTF_CURROW() == 35
            EXIT
         ENDIF
         *
      ENDDO
      *
      IF Customer->(!EOF())
         RTF_WRITEROW(TAB_1,{MakeCell("Continue","20","l","T","",0,"","","")})
      ELSE
         RTF_WRITEROW(TAB_1,{MakeCell("End","20","l","T","",0,"","","")})
         RTF_NewSection()
         RTF_SETORIENTATION('L')
      ENDIF
      *
   ENDDO
   RTF_Close()
   CLOSE  Customer
   *
   ShellExecute(,"Open",RTF_FILE,'',,0)
   *
Return
*
Function ArToSt(aArray, cDelim)
   Local cList := '', ny
   For ny := 1 To Len(aArray)
      cDelim := IF( ny < Len(aArray), cDelim, '')
      cList  := cList + aArray[ny] + cDelim
   Next
Return cList
*
Function StToAr(cList,cDelim)
   Local aArray := {}, nPos
   Do While .T.
      nPos := AT( cDelim, cList )
      IF nPos > 0
         aadd( aArray, SubStr( cList, 1, nPos - 1 ))
         cList := SubStr( cList, nPos + 1 )
      Else
         EXIT
      Endif
   Enddo
   aadd( aArray, cList )
Return aArray
*
Function Symmetric()
   LOCAL oRtf
   LOCAL aTable
   LOCAL n,c1,c2
   *
   *
   c1        := MemoRead('IMG1.DAT')
   c2        := StrTran(c1,"\ql ","\qr ")
   *
   aTable := {}
   AAdd(aTable,{100})
   *
   oRtf := XRTF_Symmetric():New(RTF_FILE,aTable,PORTRAIT,FNT_ARIAL)
   *
   For n := 1 To 6
      oRtf:WriteFree(MakeCell(if(n%2>0,c2,c1),"20",'l',"","",0,"","",""))
      oRtf:WriteRow(TAB_1,{MakeCell("|||||Symmetric Test|||||","60","c","LTRB","",0,"" ,"","")})
      oRtf:NewSection()
      oRtf:SetOrientation('P')
   Next
   oRtf:Close()
   *
   ShellExecute(,"Open",RTF_FILE,'',,0)
   *
Return
*
Class XRTF_Symmetric Inherit XRTF
*
METHOD New(cFile,aTable,cOrient,cFont)
*
EndClass
*
Method New(cFile,aTable,cOrient,cFont) Class XRTF_Symmetric
*
Super:New(cFile,aTable,cOrient,cFont,nil,{210,297,55,40,20,20},.T.)
*
Return self
*
Function Text_Vertical()
   LOCAL oRtf
   LOCAL aTable,c1,c2
   *
   *
   aTable := {}
   AAdd(aTable,{100})
   AAdd(aTable,{17,17,17,17,17,15})
   AAdd(aTable,{07,13,35,10,15,17})
   AAdd(aTable,{07,13,35,10,10,05,05,07,07})
   AAdd(aTable,{07,13,35,10,20,07,07})
   AAdd(aTable,{07,13,35,10,25})
   AAdd(aTable,{20,20,20,20,20})               // TAB_7
   *
   oRtf := XRtf():New(RTF_FILE,aTable,'P')
   *
   oRtf:EmptyRow()
   *
   oRtf:WriteFree(MakeCell('text vertical:',"20","l","","u",0,"","",""))
   *
   oRtf:WriteRow(TAB_2,{;
   MakeCell("center+left"  ,"20","c","LT" ,"",0,"","","",""),;
   MakeCell("center+center","20","c","LT" ,"",0,"","","",''),;
   MakeCell("center+right" ,"20","c","LT" ,"",0,"","","",''),;
   MakeCell("center right" ,"20","c","LT" ,"",0,"","","",''),;
   MakeCell("center+center","20","c","LT" ,"",0,"","","",''),;
   MakeCell("center+left"  ,"20","c","LTR","",0,"","","",'')})
   *
   oRtf:WriteRow(TAB_2,{;
   MakeCell("D;H30-lw","20","wl","TLB" ,"b",0,"","","","D;H30"),;
   MakeCell("D;H30-cw","20","wc","TLB" ,"b",0,"","","","D;H30"),;
   MakeCell("D;H30-rw","20","wr","TLB" ,"b",0,"","","","D;H30"),;
   MakeCell("E;H30-rw","20","rw","TLB" ,"b",0,"","","","E;H30"),;
   MakeCell("E;H30-cw","20","cw","TLB" ,"b",0,"","","","E;H30"),;
   MakeCell("E;H30-lw","20","lw","TLBR","b",0,"","","","E;H30")})
   *
   c1 := RtfStyle("\u8593\'3f","b",FNT_ARIAL,"30","")
   c2 := RtfStyle("\u8595\'3f","b",FNT_ARIAL,"30","")
   *
   oRtf:WriteFree(MakeCell('Where:',"20","l","","u",0,"","",""))
   oRtf:WriteFree(MakeCell("D  = Cargo code text "+c1 ,"20","l","","",0,"9","",""))
   oRtf:WriteFree(MakeCell("E  = Cargo code text "+c2 ,"20","l","","",0,"9","",""))
   oRtf:WriteFree(MakeCell("H  = Cargo code Heigth cell"   ,"20","l","","",0,"9","",""))
   oRtf:WriteFree(MakeCell('30 = Height cell (mm)'    ,"20","l","","",0,"9","",""))
   *
   oRtf:EmptyRow()
   *
   oRtf:WriteFree(MakeCell('test 1:',"20","l","","u",0,"","",""))
   *
   c1 := RtfStyle("Appellido y Nombres| Razn Social:","","0","12")
   c2 := RtfStyle("Docum.Ident. |  C.U.I.T.","","0","12")
   *
   oRtf:WriteRow(TAB_3,{;
   MakeCell("Requirente N.1","24","cw","LT","",0,"","","",'F'),;
   MakeCell(c1     ,"20","r","LT" ,"",0,"","",""),;
   MakeCell(''     ,"20","l","T"  ,"",0,"","","0/8"),;
   MakeCell(c2     ,"20","c","LT" ,"",0,"","",""),;
   MakeCell(""     ,"20","l","T"  ,"",0,"","","0/8"),;
   MakeCell(""     ,"20","l","TR" ,"",0,"","","0/8")})
   *
   oRtf:WriteRow(TAB_4,{;
   MakeCell(""               ,"20","l","L"  ,"",0,"","","",'G'),;
   MakeCell("|Domicilio Real:","14","r","LT","",0,"","",""),;
   MakeCell(""               ,"20","l","T"  ,"",0,"","","0/8",''),;
   MakeCell("Torre/Bloque:"  ,"14","r","LT" ,"",0,"","",""),;
   MakeCell(""               ,"20","l","T"  ,"",0,"","","0/8",''),;
   MakeCell("Piso:"          ,"14","r","LT" ,"",0,"","",""),;
   MakeCell(""               ,"20","l","T"  ,"",0,"","","0/8"),;
   MakeCell("Dpto:"          ,"14","l","LT"  ,"",0,"","",""),;
   MakeCell(""               ,"20","l","TR","",0,"","","0/8")})
   *
   oRtf:WriteRow(TAB_5,{;
   MakeCell(""            ,"20","l","L" ,"",0,"","","",'G'),;
   MakeCell("Localidad:"  ,"14","r","LT" ,"",0,"","",""),;
   MakeCell(""            ,"20","l","T"  ,"",0,"","","0/8"),;
   MakeCell("Provincia:"  ,"14","r","LT" ,"",0,"","",""),;
   MakeCell(""            ,"20","l","T"  ,"",0,"","","0/8"),;
   MakeCell("Cod.|Postal:","14","r","LT" ,"",0,"","",""),;
   MakeCell(""            ,"20","l","TBR","",0,"","","0/8")})
   *
   oRtf:WriteRow(TAB_6,{;
   MakeCell(""          ,"20","l","LB" ,"",0,"","","",'G'),;
   MakeCell("|Telefono:","14","r","LTB" ,"",0,"","",""),;
   MakeCell(""          ,"20","l","TB"  ,"",0,"","","0/8"),;
   MakeCell("E-Mail:"   ,"14","r","LTB" ,"",0,"","",""),;
   MakeCell(""          ,"20","l","TBR" ,"",0,"","","0/8")})
   *
   oRtf:EmptyRow()
   *
   oRtf:WriteFree(MakeCell('test 2:',"20","l","","u",0,"","",""))
   *
   oRtf:WriteRow(TAB_3,{;
   MakeCell("Requirente N.1","24","cw","LT","",0,"","","",'F'),;
   MakeCell(c1     ,"20","r","LT" ,"",0,"","",""),;
   MakeCell(''     ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell(c2     ,"20","c","LT" ,"",0,"","",""),;
   MakeCell(""     ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell(""     ,"20","l","TR" ,"",0,"","","",'B10')})
   *
   oRtf:WriteRow(TAB_4,{;
   MakeCell(""               ,"20","l","L"  ,"",0,"","","",'G'),;
   MakeCell("|Domicilio Real:","14","r","LT","",0,"","",""),;
   MakeCell(""               ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell("Torre/Bloque:"  ,"14","r","LT" ,"",0,"","",""),;
   MakeCell(""               ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell("Piso:"          ,"14","r","LT" ,"",0,"","",""),;
   MakeCell(""               ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell("Dpto:"          ,"14","l","LT"  ,"",0,"","",""),;
   MakeCell(""               ,"20","l","TR","",0,"","","",'B10')})
   *
   oRtf:WriteRow(TAB_5,{;
   MakeCell(""            ,"20","l","L" ,"",0,"","","",'G'),;
   MakeCell("Localidad:"  ,"14","r","LT" ,"",0,"","",""),;
   MakeCell(""            ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell("Provincia:"  ,"14","r","LT" ,"",0,"","",""),;
   MakeCell(""            ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell("Cod.|Postal:","14","r","LT" ,"",0,"","",""),;
   MakeCell(""            ,"20","l","TBR","",0,"","","",'B10')})
   *
   oRtf:WriteRow(TAB_6,{;
   MakeCell(""          ,"20","l","LB" ,"",0,"","","",'G'),;
   MakeCell("|Telefono:","14","r","LTB" ,"",0,"","",""),;
   MakeCell(""          ,"20","l","TB"  ,"",0,"","","",'B10'),;
   MakeCell("E-Mail:"   ,"14","r","LTB" ,"",0,"","",""),;
   MakeCell(""          ,"20","l","TBR" ,"",0,"","","",'B10')})
   *
   oRtf:WriteFree(MakeCell('where cargo code is:',"20","l","","u",0,"","",""))
   oRtf:WriteRow(TAB_3,{;
   MakeCell("A22;F","20","cw","LT","",0,"","","9",''),;
   MakeCell(c1     ,"20","r","LT" ,"",0,"","",""),;
   MakeCell(''     ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell(c2     ,"20","c","LT" ,"",0,"","",""),;
   MakeCell(""     ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell(""     ,"20","l","TR" ,"",0,"","","",'B10')})
   *
   oRtf:WriteRow(TAB_4,{;
   MakeCell("G"               ,"20","cw","L"  ,"",0,"","","9",''),;
   MakeCell("|Domicilio Real:","14","r","LT","",0,"","",""),;
   MakeCell(""                ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell("Torre/Bloque:"   ,"14","r","LT" ,"",0,"","",""),;
   MakeCell(""                ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell("Piso:"           ,"14","r","LT" ,"",0,"","",""),;
   MakeCell(""                ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell("Dpto:"           ,"14","l","LT"  ,"",0,"","",""),;
   MakeCell(""                ,"20","l","TR","",0,"","","",'B10')})
   *
   oRtf:WriteRow(TAB_5,{;
   MakeCell("G"            ,"20","cw","L" ,"",0,"","","9",''),;
   MakeCell("Localidad:"  ,"14","r","LT" ,"",0,"","",""),;
   MakeCell(""            ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell("Provincia:"  ,"14","r","LT" ,"",0,"","",""),;
   MakeCell(""            ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell("Cod.|Postal:","14","r","LT" ,"",0,"","",""),;
   MakeCell(""            ,"20","l","TBR","",0,"","","",'B10')})
   *
   oRtf:WriteRow(TAB_6,{;
   MakeCell("G"           ,"20","cw","LB" ,"",0,"","","9",''),;
   MakeCell("|Telefono:"  ,"14","r","LTB" ,"",0,"","",""),;
   MakeCell(""            ,"20","l","TB"  ,"",0,"","","",'B10'),;
   MakeCell("E-Mail:"     ,"14","r","LTB" ,"",0,"","",""),;
   MakeCell(""            ,"20","l","TBR" ,"",0,"","","",'B10')})
   *
   *oRtf:EmptyRow()
   *
   *c1        := MemoRead('IMG.TXT')
   *
   *oRtf:WriteFree(MakeCell(c1,"20","l","","u",0,"","",""))
   *
   oRtf:EmptyRow()
   oRtf:WriteRow(TAB_7,{;
   MakeCell("B10;F","20","lw","LT" ,"",0,"","","",'B10;F'),;
   MakeCell(""     ,"20","l" ,"LT" ,"",0,"","",""),;
   MakeCell("B20;F","20","cw","LT" ,"",0,"","","",'B20;F'),;
   MakeCell(""     ,"20","l" ,"LT" ,"",0,"","",""),;
   MakeCell("B30;F","20","cw","LTR","",0,"","","",'B30;F')})
   *
   oRtf:WriteRow(TAB_7,{;
   MakeCell("","20","l","LT" ,"",0,"","","",'B10;G'),;
   MakeCell("","20","l","LT" ,"",0,"","",""),;
   MakeCell("","20","l","LT" ,"",0,"","","",'B20;G'),;
   MakeCell("","20","l","LT" ,"",0,"","",""),;
   MakeCell("","20","l","LTR","",0,"","","",'B30;G')})
   *
   oRtf:WriteRow(TAB_7,{;
   MakeCell("","20","l","LTB" ,"",0,"","","",'B10;G'),;
   MakeCell("","20","l","LTB" ,"",0,"","",""),;
   MakeCell("","20","l","LTB" ,"",0,"","","",'B20;G'),;
   MakeCell("","20","l","LTB" ,"",0,"","",""),;
   MakeCell("","20","l","LTRB","",0,"","","",'B30;G')})
   *
   oRtf:Close()
   *
   ShellExecute(,"Open",RTF_FILE,'',,0)
   *
Return
*
Function Indented()
   LOCAL aTable,c1,c2
   *
   aTable := {}
   AAdd(aTable,{100})
   *
   c1 := "Arial, Helvetica, Times New Roman, Tms Rmn, Roman, Modern, MS_Linedraw, Advocr_B, Lucida Console, Courier New, TW Cent."
   *
   RTF_OPEN(RTF_FILE,aTable,PORTRAIT)
   *
   RTF_EmptyRow()
   RTF_WriteFree(MakeCell([First Row Indent "J10" (Where 10 == mm):],"30","c","","bu",0,"","","",''))
   RTF_WriteFree(MakeCell(c1+c1,"20","j","","",0,"","","",'J10'))
   *
   RTF_EmptyRow()
   RTF_WriteFree(MakeCell([Left Indent "I90" (Where 90 == mm):],"30","c","","ub",0,"","","",''))
   RTF_WriteFree(MakeCell(c1+c1,"20","j","","",0,"","","",'I90'))
   *
   RTF_EmptyRow()
   RTF_WriteFree(MakeCell([Right Indent "K90" (Where 90 == mm):],"30","c","","ub",0,"","","",''))
   RTF_WriteFree(MakeCell(c1+c1,"20","j","","",0,"","","",'K90'))
   *
   RTF_EmptyRow()
   RTF_WriteFree(MakeCell([Center Indent "K45;I45" (Where 45 == mm):],"30","c","","ub",0,"","","",''))
   RTF_WriteFree(MakeCell(c1+c1,"20","j","","",0,"","","",'K45;I45'))
   *
   RTF_EmptyRow()
   RTF_WriteFree(MakeCell([Space before "L03" (Where 03 == mm):],"30","c","","ub",0,"","","",''))
   RTF_WriteFree(MakeCell(c1,"20","j","","",0,"","","",'L03'))
   *
   RTF_EmptyRow()
   RTF_WriteFree(MakeCell([Space after "M03" (Where 03 == mm):],"30","c","","ub",0,"","","",''))
   RTF_WriteFree(MakeCell(c1,"20","j","","",0,"","","",'M03'))
   RTF_WriteFree(MakeCell(c1,"20","j","","",0,"","","",''))
   RTF_EmptyRow()
   *
   *
   RTF_CLOSE()
   *
   ShellExecute(,"Open",RTF_FILE,'',,0)
   *
Return
*
Function Bullets()
   LOCAL aTable,c1,c2
   *
   aTable := {}
   AAdd(aTable,{100})
   *
   RTF_OPEN(RTF_FILE,aTable,PORTRAIT)

   RTF_WriteFree(MakeCell('Bullets and Numbering',"30","c","","ub",0,"","","",''))
   *
   c1 := "Arial, Helvetica, Times New Roman, Tms Rmn, Roman, Modern, MS_Linedraw, Advocr_B, Lucida Console, Courier New, TW Cent."
   c2 := RtfStyle("  (1)","Xb",'0',"20","9")
   *
   Rtf_EmptyRow()
   Rtf_WriteFree(MakeCell(RtfStyle("1. \tab","b",'0',"24","0")+c1,"20","j","","",0,"","","",'J-08;I08'))
   Rtf_WriteFree(MakeCell(RtfStyle("2. \tab","b",'0',"24","0")+c1,"20","j","","",0,"","","",'J-08;I08'))
   Rtf_WriteFree(MakeCell(RtfStyle("3. \tab","b",'0',"24","0")+c1,"20","j","","",0,"","","",'J-08;I08'))
   *
   Rtf_WriteFree(MakeCell(RtfStyle("3.1 ","b",'0',"24","0")+c1,"20","j","","",0,"","","",'J-08;I16'))
   Rtf_WriteFree(MakeCell(RtfStyle("3.2 ","b",'0',"24","0")+c1,"20","j","","",0,"","","",'J-08;I16'))
   Rtf_WriteFree(MakeCell(RtfStyle("3.3 ","b",'0',"24","0")+c1,"20","j","","",0,"","","",'J-08;I16'))
   *
   Rtf_EmptyRow()
   Rtf_WriteFree(MakeCell(RtfStyle("\bullet\tab","",'0',"20","0")+c1,"20","j","","",0,"","","",'J-08;I08'))
   Rtf_WriteFree(MakeCell(RtfStyle("\bullet\tab","",'0',"20","0")+c1,"20","j","","",0,"","","",'J-08;I08'))
   Rtf_WriteFree(MakeCell(RtfStyle("\bullet\tab","",'0',"20","0")+c1,"20","j","","",0,"","","",'J-08;I08'))
   *
   Rtf_EmptyRow()
   Rtf_WriteFree(MakeCell(RtfStyle("\bullet\tab","",'0',"20","0")+c1,"20","j","","",0,"","","",'J-08;I16'))
   Rtf_WriteFree(MakeCell(RtfStyle("\bullet\tab","",'0',"20","0")+c1,"20","j","","",0,"","","",'J-08;I16'))
   Rtf_WriteFree(MakeCell(RtfStyle("\bullet\tab","",'0',"20","0")+c1,"20","j","","",0,"","","",'J-08;I16'))
   *
   Rtf_EmptyRow()
   *
   Rtf_EmptyRow()
   c2 := RtfStyle("Differences:","ub",'0',"30","")
   c2 += RtfStyle("  (*)","Xb",'0',"20","9")
   Rtf_WriteFree(MakeCell(c2,"20","l","","",0,"","","",''))
   Rtf_WriteFree(MakeCell('J-08;I08',"30","c","","ub",0,"","","",''))
   Rtf_WriteFree(MakeCell(RtfStyle("1. \tab","",'0',"20","0")+c1,"20","j","","",0,"","","",'J-08;I08'))
   Rtf_WriteFree(MakeCell('J0;I08',"30","c","","ub",0,"","","",''))
   Rtf_WriteFree(MakeCell(RtfStyle("1. \tab","",'0',"20","0")+c1,"20","j","","",0,"","","",'J0;I08'))
   Rtf_WriteFree(MakeCell('J08;I08',"30","c","","ub",0,"","","",''))
   Rtf_WriteFree(MakeCell(RtfStyle("1. \tab","",'0',"20","0")+c1,"20","j","","",0,"","","",'J08;I08'))
   *
   Rtf_EmptyRow()
   Rtf_EmptyRow()
   Rtf_WriteFree(MakeCell("Remember:","20","l","","u",0,"","","",''))
   c2 := RtfStyle("(*)  ","Xb",'0',"20","9")
   c2 += RtfStyle([ first J and after I],"",'',"14","0")
   Rtf_WriteFree(MakeCell(c2,"20","l","","",0,"","","",''))
   *
   *
   RTF_CLOSE()
   *
   ShellExecute(,"Open",RTF_FILE,'',,0)
   *
Return
*
Function Images()
   LOCAL aTable,c1,c2
   *
   aTable := {}
   AAdd(aTable,{100})
   *
   RTF_OPEN(RTF_FILE,aTable,PORTRAIT)
   *
   Rtf_WriteFree(MakeCell(MemoRead("FOGERTY.DAT"),"20","c","","",0,"","",""))
   RTF_WriteFree(MakeCell('John Fogerty - American Rock Legend',"24","c","","",0,"","","",''))
   RTF_EmptyRow()
   *
   RTF_WriteFree(MakeCell('how to put images in the document:',"24","l","","ub",0,"","","",''))
   *
   RTF_EmptyRow()
   RTF_WriteFree(MakeCell(RtfStyle("1. ","b",'0',"24","0")+'open a new document in Word',"20","j","","",0,"","","",'J-08;I08'))
   RTF_WriteFree(MakeCell(RtfStyle("2. ","b",'0',"24","0")+'insert in the image of interest',"20","j","","",0,"","","",'J-08;I08'))
   RTF_WriteFree(MakeCell(RtfStyle("3. ","b",'0',"24","0")+'save the document in rtf format',"20","j","","",0,"","","",'J-08;I08'))
   RTF_WriteFree(MakeCell(RtfStyle("4. ","b",'0',"24","0")+'open the same file you just saved with an text editor',"20","j","","",0,"","","",'J-08;I08'))
   RTF_WriteFree(MakeCell(RtfStyle("5. ","b",'0',"24","0")+'search within the range of the tag would be: \{\\pict and after esadecimal code \}\}',"20","j","","",0,"","","",'J-08;I08'))
   RTF_WriteFree(MakeCell(RtfStyle("6. ","b",'0',"24","0")+'save the string in a text file',"20","j","","",0,"","","",'J-08;I08'))
   RTF_WriteFree(MakeCell(RtfStyle("7. ","b",'0',"24","0")+'change last string \}\} to \}',"20","j","","",0,"","","",'J-08;I08'))
   RTF_WriteFree(MakeCell(RtfStyle("8. ","b",'0',"24","0")+'import the text file into the document you want to create',"20","j","","",0,"","","",'J-08;I08'))
   *
   GetImageFromRtf(.F.)
   *
   RTF_EmptyRow()
   RTF_WriteFree(MakeCell('Or With Procedure GetImageFromRtf (just an example)',"20","l","","ub",0,"","","",''))
   RTF_WriteFree(MakeCell('This:',"20","l","","",0,"","","",''))
   Rtf_WriteFree(MakeCell(MemoRead(".\img\FOGERTY.txt"),"20","c","","",0,"","",""))
   *
   RTF_CLOSE()
   *
   ShellExecute(,"Open",RTF_FILE,'',,0)
   *
Return
*
