# include 'hbRTF.Ch'

Function Test_Rtf()
   LOCAL oRtf
   LOCAL aTable
   LOCAL c1	
   LOCAL cBar	
   LOCAL i		
   *
   aTable := {}
   AAdd(aTable,{100})
   AAdd(aTable,{50,50})
   AAdd(aTable,{33,34,33})
   AAdd(aTable,{25,25,25,25})
   AAdd(aTable,{20,20,20,20,20})
   *
   oRtf := XRTF():New('Temp.Rtf',aTable,'P','0',"20",nil)
   *
   c1 := RtfStyle("brunellopulix@yahoo.it","b",FNT_ARIAL,"14","9")
   oRtf:PageHeader(c1)
   c1 := RtfStyle(Version(),"i",FNT_ARIAL,"14")
   oRtf:PageFooter(c1)
   *
   c1 := 'This document has been realized with the class '+RtfStyle("XRTF","b",FNT_ARIAL,"30","")+'.'
   oRtf:WriteFree(MakeCell(c1,"20","j","","",0,"","",""))
   *
   oRtf:EmptyRow()
   oRtf:WriteFree(MakeCell('it has one table of 10 characters : ',"20","l","","ui",0,"","",""))
   oRtf:EmptyRow()
   *
   c1 := RtfStyle("Arial, "          ,"",FNT_ARIAL,"20")
   c1 += RtfStyle("Helvetica, "      ,"",FNT_HELV,"20")
   c1 += RtfStyle("Times New Roman, ","",FNT_TIMES_NEW_ROMAN,"20")
   c1 += RtfStyle("Tms Rmn, "        ,"",FNT_TMS_RMN,"20")
   c1 += RtfStyle("Roman, "          ,"",FNT_ROMAN,"20")
   c1 += RtfStyle("Modern, "         ,"",FNT_MODERN,"20")
   c1 += RtfStyle("MS_Linedraw, "    ,"",FNT_MS_LINEDRAW,"20")
   c1 += RtfStyle("Advocr_B, "       ,"",FNT_ADVOCR_B,"20")
   c1 += RtfStyle("Lucida Console, " ,"",FNT_LUCIDA_CONSOLE,"20")
   c1 += RtfStyle("Courier New, "    ,"",FNT_COURIER_NEW,"20")
   *
   oRtf:WriteFree(MakeCell(c1,"20","j","","b",0,"","",""))
   oRtf:EmptyRow()
   *
   oRtf:WriteFree(MakeCell('and of one table of 10 colors : ',"20","l","","ui",0,"","",""))
   c1 := ""
   FOR i := 0 TO 15
      c1 += RtfStyle("Color "+NTrim(i)+" ","",FNT_ARIAL,"20",NTrim(i))
   NEXT
   oRtf:WriteFree(MakeCell(c1,"20","l","","",0,"","",""))
   oRtf:EmptyRow()
   *
   oRtf:WriteFree(MakeCell("Formatting of the text:","20","l","","ui",0,"","",""))
   *
   c1 := RtfStyle("bold"        		      ,"b",FNT_ARIAL,"20")
   c1 += " "+RtfStyle("underline"            ,"u",FNT_ARIAL,"20")
   c1 += " "+RtfStyle("italic"         	  ,"i",FNT_ARIAL,"20")
   c1 += " "+RtfStyle("bold+underline+italic","bui",FNT_ARIAL,"20")
   oRtf:WriteFree(MakeCell(c1,"20","j","","",0,"","",""))
   oRtf:EmptyRow()
   *
   oRtf:WriteFree(MakeCell("Alignment of the text:","20","l","","ui",0,"","",""))
   oRtf:WriteFree(MakeCell("left","20","l","","",0,"","",""))
   oRtf:WriteFree(MakeCell("center","20","c","","",0,"","",""))
   oRtf:WriteFree(MakeCell("right","20","r","","",0,"","",""))
   oRtf:WriteFree(MakeCell("and justified:","20","l","","ui",0,"","",""))
   *
   c1 := "Arial, Helvetica, Times New Roman, Tms Rmn, Roman, Modern, MS_Linedraw, Advocr_B, Lucida Console, Courier New. "
   oRtf:WriteFree(MakeCell(c1+c1,"20","j","","",0,"","",""))
   oRtf:EmptyRow()
   oRtf:WriteFree(MakeCell("","20","l","","",0,"","",""))
   *
   oRtf:WriteFree(MakeCell("Table 1","20","l","","b",0,"","",""))
   oRtf:WriteRow(1,{;
   MakeCell("Col 1","20","c","","",0,"","","")})
   *
   oRtf:WriteFree(MakeCell("Table 2","20","l","","b",0,"","",""))
   oRtf:WriteRow(2,{;
   MakeCell("Col 1","20","c","","",0,"","",""),;
   MakeCell("Col 2","20","c","","",0,"","","")})
   *
   oRtf:WriteFree(MakeCell("Table 3","20","l","","b",0,"","",""))
   oRtf:WriteRow(3,{;
   MakeCell("Col 1","20","c","","",0,"","",""),;
   MakeCell("Col 2","20","c","","",0,"","",""),;
   MakeCell("Col 3","20","c","","",0,"","","")})
   *
   oRtf:WriteFree(MakeCell("Table 4","20","l","","b",0,"","",""))
   oRtf:WriteRow(4,{;
   MakeCell("Col 1","20","c","","",0,"","",""),;
   MakeCell("Col 2","20","c","","",0,"","",""),;
   MakeCell("Col 3","20","c","","",0,"","",""),;
   MakeCell("Col 4","20","c","","",0,"","","")})
   *
   oRtf:WriteFree(MakeCell("Table 5","20","l","","b",0,"","",""))
   oRtf:WriteRow(5,{;
   MakeCell("Col 1","20","c","","",0,"","",""),;
   MakeCell("Col 2","20","c","","",0,"","",""),;
   MakeCell("Col 3","20","c","","",0,"","",""),;
   MakeCell("Col 4","20","c","","",0,"","",""),;
   MakeCell("Col 5","20","c","","",0,"","","")})
   *
   oRtf:EmptyRow()
   oRtf:WriteFree(MakeCell("making borders:","20","l","","iu",0,"","",""))
   oRtf:EmptyRow()
   oRtf:WriteRow(5,{;
   MakeCell("Col 1","20","l","LT","",0,"","",""),;
   MakeCell("Col 2","20","l","LT","",0,"","",""),;
   MakeCell("Col 3","20","l","LT","",0,"","",""),;
   MakeCell("Col 4","20","l","LT","",0,"","",""),;
   MakeCell("10,00","20","r","LTR","",0,"","","")})
   *
   c1 := RtfStyle(" 10,00","b",FNT_ARIAL,"22",'9')
   oRtf:WriteRow(5,{;
   MakeCell("","20","l","T","",0,"","",""),;
   MakeCell("","20","l","T","",0,"","",""),;
   MakeCell("","20","l","T","",0,"","",""),;
   MakeCell("Total","20","r","T","",0,"","",""),;
   MakeCell(EUROSYMB+c1,"20","r","QLTRB","b",0,"","","")})
   *
   oRtf:EmptyRow()
   oRtf:WriteFree(MakeCell("Inside of the cells the text can be aligned :","20","l","","iu",0,"","",""))
   oRtf:WriteRow(3,{;
   MakeCell("on the left","20","l","","",0,"","",""),;
   MakeCell("on the center","20","c","","",0,"","",""),;
   MakeCell("on the right","20","r","","",0,"","","")})
   oRtf:WriteRow(3,{;
   MakeCell("on|more|lines","20","c","","",0,"","",""),;
   MakeCell("on the center","20","cw","","",0,"","",""),;
   MakeCell("on the top"   ,"20","ct","","",0,"","","")})
   *
   oRtf:EmptyRow()
   oRtf:WriteFree(MakeCell("colored:","20","l","","iu",0,"","",""))
   oRtf:WriteRow(5,{;
   MakeCell("Color 1","20","c","","",0,"","","1"),;
   MakeCell("Color 2","20","c","","",0,"","","2"),;
   MakeCell("Color 3","20","c","","",0,"","","3"),;
   MakeCell("Color 4","20","c","","",0,"","","4"),;
   MakeCell("Color 5","20","c","","",0,"","","5")})
   oRtf:WriteRow(5,{;
   MakeCell("Color 6","20","c","","",0,"","","6"),;
   MakeCell("Color 7","20","c","","",0,"","","7"),;
   MakeCell("Color 8","20","c","","",0,"","","8"),;
   MakeCell("Color 9","20","c","","",0,"","","9"),;
   MakeCell("Color 10","20","c","","",0,"","","10")})
   *
   oRtf:EmptyRow()
   oRtf:WriteFree(MakeCell("insertion of date and number page in the cell :","20","l","","iu",0,"","",""))
   oRtf:WriteRow(3,{;
   MakeCell(""     ,"20","l","","",0,"","",""),;
   MakeCell(""     ,"20","c","","",0,"d","",""),;
   MakeCell("Page ","20","r","","",0,"p","","")})
   *
   oRtf:EmptyRow()
   oRtf:WriteFree(MakeCell("insertion new page and change orientation:","20","l","","iu",0,"","",""))
   oRtf:NewSection()
   *
   oRtf:SetOrientation('L')
   *
   oRtf:EmptyRow()
   oRtf:WriteRow(3,{;
   MakeCell(""     ,"20","l","","",0,"","",""),;
   MakeCell(""     ,"20","c","","",0,"d","",""),;
   MakeCell("Page ","20","r","","",0,"p","","")})
   oRtf:EmptyRow()
   *
   cBar  := MkCodeBar("5030159000991")
   oRtf:WriteFree(MakeCell("insertion of barcode:","20","l","","iu",0,"","",""))
   oRtf:WriteFree(MakeCell(;
   'EAN8 '+MkCodeBar("51112881")+;
   '   EAN13 '+cBar+;
   '   and  '+MkCodeBar("5030159000991",150,150),"20","l","","",0,"","",""))
   
   oRtf:EmptyRow()
   oRtf:WriteFree(MakeCell("with some small trick it is possible to insert images:","20","l","","iu",0,"","",""))
   oRtf:WriteBmp("IMG1.DAT")
   oRtf:EmptyRow()
   oRtf:WriteBmp("IMG2.DAT")
   oRtf:EmptyRow()
   *
   oRtf:WriteFree(MakeCell("moreover:","20","l","","iu",0,"","",""))
   oRtf:EmptyRow()
   oRtf:WriteFree(MakeCell('\bullet   '+RtfStyle("One","b",FNT_ARIAL,"20"),"20","l","","",0,"","",""))
   oRtf:WriteFree(MakeCell('\bullet   '+RtfStyle("Two","u",FNT_ARIAL,"20"),"20","l","","",0,"","",""))
   oRtf:WriteFree(MakeCell('\bullet   '+RtfStyle("Tree","i",FNT_ARIAL,"20"),"20","l","","",0,"","",""))
   *
   oRtf:EmptyRow()
   oRtf:WriteFree(MakeCell("and also:","20","l","","iu",0,"","",""))
   oRtf:EmptyRow()
   c1 := RtfStyle(Pad("One",10),"",FNT_COURIER_NEW,"20")
   c1 += '\tab '+RtfStyle(Pad("Two" ,10)    ,"",FNT_COURIER_NEW,"20")
   c1 += '\tab '+RtfStyle(Pad("Tree",10)   ,"",FNT_COURIER_NEW,"20")
   c1 += '\tab '+RtfStyle(Pad("Four" ,10)    ,"",FNT_COURIER_NEW,"20")
   c1 += '\tab '+RtfStyle(PadL("10.00",10) ,"",FNT_COURIER_NEW,"20",'2')
   c1 += '\tab '+RtfStyle(PadL("5.00",10)  ,"",FNT_COURIER_NEW,"20",'9')
   oRtf:WriteFree(MakeCell(c1,"20","l","","",0,"","",""))
   oRtf:WriteFree(MakeCell(c1,"20","l","","",0,"","",""))
   oRtf:WriteFree(MakeCell(c1,"20","l","","",0,"","",""))
   *
   oRtf:EmptyRow()
   oRtf:EmptyRow()
   *
   oRtf:Close()
   *
   ShellExecute(,"Open",'Temp.Rtf','',,0)
   *
RETURN nil


